name: roulette
on: [push]

jobs:
  deploy:
    runs-on: ubuntu-latest
    container: finalgene/lftp
    steps:
      - run: apk add --no-cache git nodejs
      - uses: actions/checkout@v3
      - run: lftp -c "set cmd:fail-exit yes; set ftp:ssl-allow no; open -u $USERNAME,$PASSWORD $HOST;  cd cila.camelia-studio.org/roulette-donjons; mirror -Rpnevvv --parallel=10 --exclude .git/"
    env:
      USERNAME: ${{ secrets.USERNAME }}
      PASSWORD: ${{ secrets.PASSWORD }}
      HOST: ${{ secrets.HOST }}
